ESTIMATEHYPERPAR(1)

NAME
estimateHyperPar - estimate expression dependent hyperparameters for bitseq

SYNOPSIS
estimateHyperPar -o <outFileName> [OPTIONS] [sampleFiles]

DESCRIPTION
Estimate expression dependent hyperparameters from the dataset.

    [sample Files] should contain transposed MCMC samples from replicates. To distinguish conditions use C between them e.g.:

    samplesC1-R1.rpkm samplesC1-R2.rpkm C samplesC2-R1.rpkm samplesC2-R2.rpkm

OPTIONS

--help

    Show this help information.

--exThreshold=<exT>

    Threshold of lowest expression for which the estimation is done. (default: -5)

-g <groupsN> , --groupsNumber=<groupsN>

    Number of groups of transcript of similar size. (default: 200)

-l <lambda0> , --lambda0=<lambda0>

    Precision scaling parameter lambda0. (default: 2)

--lowess-f=<lowess-f>

    Parameter F for lowess smoothing specifying amount of smoothing. (default: 0.2)

--lowess-steps=<lowess-steps>

    Parameter Nsteps for lowess smoothing specifying number of iterations. (default: 5)

--meanFile=<meanFileName>

    Name of the file containing joint mean and variance.

--noforce

    Do not force smoothing of the parameters. (default: Off)

--norm=<normalization>

    Normalization constants for each input file provided as comma separated list of doubles (e.g. 1.0017,1.0,0.9999 ).

-o <outFileName> , --outFile=<outFileName>

    Name of the output file.

-p <paramsAllFileName> , --paramsAllFile=<paramsAllFileName>

    Name of the file to which to store all parameter values generated prior to lowess smoothing.

-s <samplesN> , --samplesNumber=<samplesN>

    Number of samples generated for each group. (default: 2)

--seed=<seed>

    Random initialization seed.

-S , --smoothOnly

    Input file contains previously sampled hyperparameters which should smoothed only. (default: Off)

-v , --verbose

    Verbose output. (default: Off)

-V , --veryVerbose

    More verbose output. (default: Off)